
Redmine - Defect #9234

Versions of subprojects are / Roadmap) is - only visible if at least one version is defined

2011-09-12 22:58 - Terence Mill

Status: Closed Start date: 2011-09-12

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

We are using hierarchical project organization heavily, but some of our parent "project" just implement departments under which real

projects with planned version are configured. In the departments parent projects we activated issue module and hoped to see the

Versions of all sub projects in its roadmap.

But this only works if at least one version is configured in deparment (parent) project. If not the Roadmap tab isn't even displayed!

This behaviour is very wired and doesn't make sense for. Either in every case version are showed in the roadmap (for all childs too)

or not, but not only if parent also has version defined.

Thats why we think it is a bug.

Related issues:

Is duplicate of Redmine - Feature #7956: Show Roadmap tab when subprojects ha... Closed 2011-03-22

History

#1 - 2011-09-13 09:48 - Etienne Massip

Can't reproduce with 1.2, are you sure that your subprojects versions are shared with the whole tree or the hierarchy?

#2 - 2011-09-13 13:01 - Terence Mill

I don't wanna "share" it in that way that upper parents can assign issues to it, but i wann show all versions of childs in its parent projetcs, although set

to "Not shared".

#3 - 2011-09-13 14:20 - Etienne Massip

There is no such feature in Redmine, versions displayed in a project's Roadmap can have its issues assigned to.

#4 - 2011-10-14 01:48 - Mischa The Evil

Isn't this the same as #7956?

#5 - 2011-10-14 09:44 - Terence Mill

Confirmed.

This is dupe of #7956

#6 - 2011-10-14 09:49 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Duplicate
